/*--------------------------------------------------------------+
| Author: Daniel Porumbel 2018                                  |
|License: Creative Commons Attribution 3.0 Unported License     |
|         http://creativecommons.org/licenses/by/3.0/           |             
+--------------------------------------------------------------*/
#ifndef INOUTSTATS_INCLUDED
#define INOUTSTATS_INCLUDED
class statManager{
    int lenOutput;
    int idCurrVal;
    int maxVals;
    double* vals;
    double min,max,avg,dev;
    void init();
    int getPrecision(double number);
    std::string getString(double number);
    void calc_minmax_avg_dev();
    public:
    statManager();//maximum 200 values
    statManager(int lenOutput);
    statManager(int lenOutput, int maxNrOfValues);
    void addValue(double d);
    void addValue(int i);
    void setLenOutput(int x);
    char* getStats();
    double getAvg();
    int getNrValues();
    ~statManager();
};
#endif

